### A free/open-source library for quantitative finance

Public Member Functions
LogLinearInterpolation Class Reference

log-linear interpolation between discrete points More...

`#include <ql/math/interpolations/loginterpolation.hpp>`

Inheritance diagram for LogLinearInterpolation:
[legend]

List of all members.

## Public Member Functions

template<class I1 , class I2 >
| LogLinearInterpolation (const I1 &xBegin, const I1 &xEnd, const I2 &yBegin)

## Detailed Description

log-linear interpolation between discrete points

## Constructor & Destructor Documentation

LogLinearInterpolation | ( | const I1 & | xBegin,
|  | const I1 & | xEnd,
|  | const I2 & | yBegin
| ) |  |

Precondition:
  the values must be sorted.